scsi_eh_finish_cmd
Prev | drivers/scsi/scsi_error.c | Next

## Name

scsi_eh_finish_cmd — Handle a cmd that eh is finished with.

## Synopsis

`void scsi_eh_finish_cmd (` | struct scsi_cmnd * | scmd,
| struct list_head * | done_q`)`;

## Arguments

`scmd`

  Original SCSI cmd that eh has finished.

`done_q`

  Queue for processed commands.

## Notes

We don't want to use the normal command completion while we are are still handling errors - it may cause other commands to be queued, and that would disturb what we are doing. Thus we really want to keep a list of pending commands for final completion, and once we are ready to leave error handling we handle completion for real.

Prev | Up | Next
scsi_eh_restore_cmnd | Home | scsi_eh_get_sense